package com.auth.dao.base.entity;

import com.auth.common.model.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_menu_role")
@Schema(name = "MenuRole-系统菜单角色关联实体类", title = "系统菜单角色关联", description = "系统菜单角色关联的实体类对象")
public class MenuRoleEntity extends BaseEntity {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "menuId", title = "菜单ID")
    private Long menuId;

}