package com.auth.dao.base.entity;

import com.auth.common.model.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_role_data_scope")
@Schema(name = "RoleDataScope-系统角色数据权限范围实体类", title = "系统角色数据权限范围", description = "系统角色数据权限范围的实体类对象")
public class RoleDataScopeEntity extends BaseEntity {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "deptId", title = "部门ID")
    private Long deptId;

}