package com.auth.model.base.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "RoleDataScopeDTO-系统角色数据权限范围传输对象", title = "系统角色数据权限范围", description = "系统角色数据权限范围的DTO对象")
public class RoleDataScopeDto {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "deptId", title = "部门ID")
    private Long deptId;

}