package com.auth.module.security.service;


import com.auth.dao.base.entity.UserEntity;
import com.auth.model.base.dto.LoginDto;
import com.auth.model.base.vo.LoginVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface LoginService extends IService<UserEntity> {

    /**
     * 用户登录
     *
     * @param loginDto LoginRequest登录参数
     * @return 登录成功返回内容
     */
    LoginVo login(LoginDto loginDto);
}
