package com.auth.model.base.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "MenuRoleVO-系统菜单角色关联返回对象", title = "系统菜单角色关联", description = "系统菜单角色关联的VO对象")
public class MenuRoleVo {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "menuId", title = "菜单ID")
    private Long menuId;

}

