package com.auth.model.base.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "RoleDataScopeVO-系统角色数据权限范围返回对象", title = "系统角色数据权限范围", description = "系统角色数据权限范围的VO对象")
public class RoleDataScopeVo {

    @Schema(name = "roleId", title = "角色ID")
    private Long roleId;

    @Schema(name = "deptId", title = "部门ID")
    private Long deptId;

}

