package com.auth.service.base;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@MapperScan(basePackages = "com.auth.dao.*.mapper")
@ComponentScan(basePackages = {"com.auth.common", "com.auth.service.base", "com.auth.dao", "com.auth.module.security"})
@SpringBootApplication
public class ServiceBaseMainApplication {
    public static void main(String[] args) {
        SpringApplication.run(ServiceBaseMainApplication.class, args);
    }
}
